Wireless ID Premium
curl --request GET \
--url https://dataapi.dncscrub.com/v1.4/Data/IDPremium \
--header 'loginId: <loginid>'import requests
url = "https://dataapi.dncscrub.com/v1.4/Data/IDPremium"
headers = {"loginId": "<loginid>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {loginId: '<loginid>'}};
fetch('https://dataapi.dncscrub.com/v1.4/Data/IDPremium', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Phone": "2548787052",
"PhoneType": "W",
"OCN": "6529",
"TelcoName": "T-MOBILE USA, INC.",
"ODate": "20260204"
}
Data Enhancement
Wireless ID Premium
Premium phone identification including carrier and phone type information.
GET
/
v1.4
/
Data
/
IDPremium
Wireless ID Premium
Returns the current telco carrier of a phone number. This is the most accurate carrier data that exists. It differs from the carrier data returned by a scrub in that data is the carrier originally assigned to a phone number and is doing a live dip into the telco systems.
Request
Headers
string
required
Your API Key (LoginId from your DNCScrub account)
Query Parameters
string
required
10-digit phone number to look up
Output parameters
| Field | Description |
|---|---|
Phone | Ten digit phone number that was queried. Example 5039367188 |
PhoneType | 1 character code identifying the phone type |
OCN | Operating Company Number, 4 character alpha numeric |
TelcoName | Name of telephone company provider, 50 character max. |
ODate | Out Date, date stamp of last live lookup, YYYYMMDD format |
PhoneType values
| Value | Description |
|---|---|
N | Not available |
L | Land Line |
V | VoIP |
W | Wireless |
O | Other |
Example Request
curl --location --request GET \
'https://dataapi.dncscrub.com/v1.4/Data/IDPremium
?phone=5039367187' \
--header 'loginId: YOUR_API_KEY'
const response = await fetch(
'https://dataapi.dncscrub.com/v1.4/Data/IDPremium?phone=5039367187',
{
method: 'GET',
headers: {
'loginId': 'YOUR_API_KEY'
}
}
);
const data = await response.json();
console.log(data);
using (var client = new HttpClient())
{
client.DefaultRequestHeaders.Add("loginId", "YOUR_API_KEY");
var response = await client.GetAsync(
"https://dataapi.dncscrub.com/v1.4/Data/IDPremium?phone=5039367187"
);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
{
"Phone": "2548787052",
"PhoneType": "W",
"OCN": "6529",
"TelcoName": "T-MOBILE USA, INC.",
"ODate": "20260204"
}
⌘I